Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
<Appearance("StorageInRows_Split_PopUp - HIde StorageInRows all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="StorageInRows", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class StorageInRows_Split_PopUp
    Inherits BaseObject

    Private _QTT_Max As Double
    Private _StorageInRows As StorageInRows

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property QTT_Max As Double
        Get
            Return _QTT_Max
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Max", _QTT_Max, value)
        End Set
    End Property
    Property StorageInRows As StorageInRows
        Get
            Return _StorageInRows
        End Get
        Set(value As StorageInRows)
            SetPropertyValue("StorageInRows", _StorageInRows, value)
        End Set
    End Property
End Class
